Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision f3125bffe4f603beddd29856e02ad5b420797826)
+++ BOOK/packages.ent	(revision 51a1403ceff8bfee4a9937bb76b369a16901f9da)
@@ -36,8 +36,8 @@
 <!ENTITY bison-home "&gnu-software;bison">
 
-<!ENTITY bootscripts-clfs-version "1.2-pre6">
+<!ENTITY bootscripts-clfs-version "1.2-pre8">
 <!ENTITY bootscripts-clfs-size "39 KB">
 <!ENTITY bootscripts-clfs-url "&packages-root;bootscripts-cross-lfs-&bootscripts-clfs-version;.tar.bz2">
-<!ENTITY bootscripts-clfs-md5 "5cd96840c29a6aef01931b7180ba2795">
+<!ENTITY bootscripts-clfs-md5 "4aee3da55c0a4c3f0f50ae6ff209169d">
 <!ENTITY bootscripts-clfs-home " ">
 
@@ -115,18 +115,16 @@
 <!ENTITY gettext-home "&gnu-software;gettext">
 
-<!ENTITY glibc-version "2.9">
-<!ENTITY glibc-size "15,172 KB">
-<!-- <!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.bz2"> -->
-<!ENTITY glibc-url "&packages-root;glibc-&glibc-version;.tar.bz2">
-<!ENTITY glibc-md5 "c7d99cfb51aa9132132da068dd648d28">
-<!ENTITY glibc-home "&gnu-software;libc">
-<!ENTITY glibc-ld-name "ld-&glibc-version;.so">
-
-<!ENTITY glibc-ports-version "&glibc-version;">
-<!ENTITY glibc-ports-size "438 KB">
-<!--<!ENTITY glibc-ports-url "&gnu;glibc/glibc-ports-&glibc-ports-version;.tar.bz2"> -->
-<!ENTITY glibc-ports-url "&packages-root;glibc-ports-&glibc-version;.tar.bz2">
-<!ENTITY glibc-ports-md5 "b0a06ad355312a6257a6fa41c72dfffb">
-<!ENTITY glibc-ports-home " ">
+<!ENTITY eglibc-version "2.10.1">
+<!ENTITY eglibc-size "15,905 KB">
+<!ENTITY eglibc-url "&packages-root;eglibc-&eglibc-version;.tar.bz2">
+<!ENTITY eglibc-md5 "7aa42c218bfcfe8b7253e9b829c3a2d6">
+<!ENTITY eglibc-home "http://www.eglibc.org/home">
+<!ENTITY eglibc-ld-name "ld-&eglibc-version;.so">
+
+<!ENTITY eglibc-ports-version "&eglibc-version;">
+<!ENTITY eglibc-ports-size "592 KB">
+<!ENTITY eglibc-ports-url "&packages-root;eglibc-ports-&eglibc-version;.tar.bz2">
+<!ENTITY eglibc-ports-md5 "5fd870dfdc02d8e2e93525fb7363c34">
+<!ENTITY eglibc-ports-home " ">
 
 <!ENTITY gmp-version "4.3.1">
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision f3125bffe4f603beddd29856e02ad5b420797826)
+++ BOOK/patches.ent	(revision 51a1403ceff8bfee4a9937bb76b369a16901f9da)
@@ -25,4 +25,8 @@
 <!ENTITY diffutils-i18n-patch-size "17 KB">
 
+<!ENTITY eglibc-fixes-patch "eglibc-&eglibc-version;-fixes-1.patch">
+<!ENTITY eglibc-fixes-patch-md5 "d6291ad34fbf3f75f5fabc7c3089da06">
+<!ENTITY eglibc-fixes-patch-size "2 KB">
+
 <!ENTITY file-cross_compile-patch "file-&file-version;-cross_compile-1.patch">
 <!ENTITY file-cross_compile-patch-md5 "17956303345b8514a9c2bdc3939a21e5">
@@ -44,24 +48,4 @@
 <!ENTITY gcc-posix-patch-md5 "22e096640c1ac70421336cba0f80d70f">
 <!ENTITY gcc-posix-patch-size "14 KB">
-
-<!ENTITY glibc-arm_setjmp_fix-patch "glibc-&glibc-version;-arm_setjmp_fix-1.patch">
-<!ENTITY glibc-arm_setjmp_fix-patch-md5 "e7a669566af4c79251399fcad858b290">
-<!ENTITY glibc-arm_setjmp_fix-patch-size ".7 KB">
-
-<!ENTITY glibc-cross_hacks-patch "glibc-&glibc-version;-cross_hacks-2.patch">
-<!ENTITY glibc-cross_hacks-patch-md5 "65c72652824b4faa0d9fbcf291151e10">
-<!ENTITY glibc-cross_hacks-patch-size "46 KB">
-
-<!ENTITY glibc-libgcc_eh-patch "glibc-&glibc-version;-libgcc_eh-1.patch">
-<!ENTITY glibc-libgcc_eh-patch-md5 "1b5106b91ff4111fd97aba99437023ed">
-<!ENTITY glibc-libgcc_eh-patch-size "4 KB">
-
-<!ENTITY glibc-localedef_segfault-patch "glibc-&glibc-version;-localedef_segfault-1.patch">
-<!ENTITY glibc-localedef_segfault-patch-md5 "a52ecc9fc4ebb6677b772e37ab258120">
-<!ENTITY glibc-localedef_segfault-patch-size "2 KB">
-
-<!ENTITY glibc-nptl_lowlevellock-patch "glibc-&glibc-version;-nptl_lowlevellock-1.patch">
-<!ENTITY glibc-nptl_lowlevellock-patch-md5 "0a428774cf459cf5fd23ff219390c141">
-<!ENTITY glibc-nptl_lowlevellock-patch-size ".8 KB">
 
 <!ENTITY grep-i18n-patch "grep-&grep-version;-i18n-1.patch">
